/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.    
 */
package org.fabric3.pojo.reflection;

import org.fabric3.host.Fabric3Exception;

/**
 * Denotes an error when invoking on an object
 *
 * @version $Rev: 2973 $ $Date: 2008-02-29 23:06:57 +0000 (Fri, 29 Feb 2008) $
 */
public class ObjectCallbackException extends Fabric3Exception {
    private static final long serialVersionUID = -2828664920912394309L;

    public ObjectCallbackException() {
        super();
    }

    public ObjectCallbackException(String message) {
        super(message);
    }

    public ObjectCallbackException(String message, String identifier) {
        super(message, identifier);
    }

    public ObjectCallbackException(String message, Throwable cause) {
        super(message, cause);
    }

    public ObjectCallbackException(Throwable cause) {
        super(cause);
    }

}
